Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » WST 1.5.0 with Maven 2.0 dependencies running on Tomcat
WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178603] Wed, 06 September 2006 14:49 Go to next message
Eclipse User
Originally posted by: dmitry.custommode.com

There is lot of buz on this news group on getting the WTP to work with
maven2 plugin. Non of the answers fit my combination of tools/versions.
Has anyone gotten WST 1.5.0 WEB-INF/lib with maven2 dependencies
deployable to Tomcat?

thanks

D>
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178671 is a reply to message #178603] Thu, 07 September 2006 13:25 Go to previous messageGo to next message
Eclipse User
Originally posted by: dmitry.custommode.com

Dmitry wrote:
> There is lot of buz on this news group on getting the WTP to work with
> maven2 plugin. Non of the answers fit my combination of tools/versions.
> Has anyone gotten WST 1.5.0 WEB-INF/lib with maven2 dependencies
> deployable to Tomcat?
>
> thanks
>
> D>

Actually, how the WST 1.5.0 and WTP related? I was under the impression
that the they are the same thing, the WST is the latest release that
comes as part of calisto distribution model though.

So looks like people had a lot of issues with maven 2 integration in WTP
and most of which were addressed. Am I making a right assumption that
since the WST is newer release (potentially with some incompatible
changes that affect maven 2 integration) the maven 2 integration has not
been raised and addressed yet?
I can't get a good feeling which direction to take from this point,
should I try to analyze the WTP answers and come up with some similar
approach for WST, or someone is actively looking at this issue and
perhaps a bug fix should be expected shortly from the calisto updates?

Thanks.
D>
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178709 is a reply to message #178671] Thu, 07 September 2006 14:17 Go to previous messageGo to next message
Eclipse User
Originally posted by: kosta.bea.com

Dmitry,

WebTools Platform (WTP) is composed of two major components Web Standard
Tools (WST) and Java Standard Tools (JST). Most people will want to
download the complete WTP distribution that includes both as J2EE
development is not possible using only WST. You can only create static
web projects using the WST distribution.

- Konstantin
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178726 is a reply to message #178709] Thu, 07 September 2006 15:12 Go to previous messageGo to next message
Eclipse User
Originally posted by: dmitry.custommode.com

Konstantin Komissarchik wrote:
> Dmitry,
>
> WebTools Platform (WTP) is composed of two major components Web Standard
> Tools (WST) and Java Standard Tools (JST). Most people will want to
> download the complete WTP distribution that includes both as J2EE
> development is not possible using only WST. You can only create static
> web projects using the WST distribution.
>
> - Konstantin

Konstantin,
thank you for clarification, it actually makes sense now. Do you also
know if the latest release of WTP known to work properly with maven 2
dependencies? I have maven 2 plugin installed, it does look through the
pom.xml file, adds the dependencies to a classpath and pulls them off
the net to the local cache. At the end the project compiles properly,
but when trying to run on server it does not know to put the maven 2
defined dependencies into WEB-INF/lib folder which results in the
ClassNotFoundException.
Thank you so much,

D>
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178732 is a reply to message #178726] Thu, 07 September 2006 18:29 Go to previous messageGo to next message
Eclipse User
Originally posted by: kosta.bea.com

Dmitry,

Maven plugins have not yet been integrated to work with WTP. There is
an ongoing effort to do that by the people who maintain maven plugins
with some involvement from WTP, but that effort has just started.

- Konstantin
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178739 is a reply to message #178732] Thu, 07 September 2006 21:31 Go to previous messageGo to next message
Eclipse User
Originally posted by: dmitry.custommode.com

Konstantin Komissarchik wrote:
> Dmitry,
>
> Maven plugins have not yet been integrated to work with WTP. There is
> an ongoing effort to do that by the people who maintain maven plugins
> with some involvement from WTP, but that effort has just started.
>
> - Konstantin
Thank you Konstantin,
that clears it up alot.
Would you also suggest what is the best way to find out when this
feature going to be released (sorry for being annoying, but this little
feature means a lot for the development team i'm working with), is there
an announcement news group where this sort of messages get posted to?

Appreciate your help,

D>
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178754 is a reply to message #178739] Fri, 08 September 2006 12:05 Go to previous messageGo to next message
Eclipse User
Originally posted by: kosta.bea.com

Dmitry,

Currently the best way to keep track of the status of this work is to
add yourself to the CC list of the bug tracking maven integration:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=154251

- Konstantin
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178761 is a reply to message #178754] Fri, 08 September 2006 12:46 Go to previous messageGo to next message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
Konstantin Komissarchik wrote:
> Currently the best way to keep track of the status of this work is to
> add yourself to the CC list of the bug tracking maven integration:
>
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=154251
It is been a week since last comment on that issue... So, are you guys
going to give us some pointers, or the stuff you've suggested is just
not doable in the current WTP API? ;-)

regards,
Eugene
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178767 is a reply to message #178761] Fri, 08 September 2006 18:10 Go to previous messageGo to next message
Eclipse User
Originally posted by: dmitry.custommode.com

Eugene Kuleshov wrote:

> It is been a week since last comment on that issue... So, are you guys
> going to give us some pointers, or the stuff you've suggested is just
> not doable in the current WTP API? ;-)
>
> regards,
> Eugene
>
>

Hmmm,
looked through the issue on the
https://bugs.eclipse.org/bugs/show_bug.cgi?id=154251 -- looks like it's
got it all (or most of it) covered, i'm not sure if i can (or should)
contribute more to it :) , at this point someone just has to roll up the
sleeves and do it.

Good luck!
And thanks for all the help (can't wait for the release of this issue). :)

D>
Re: WST 1.5.0 with Maven 2.0 dependencies running on Tomcat [message #178774 is a reply to message #178767] Fri, 08 September 2006 18:17 Go to previous message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
Dmitry wrote:
>> It is been a week since last comment on that issue... So, are you
>> guys going to give us some pointers, or the stuff you've suggested is
>> just not doable in the current WTP API? ;-)
> Hmmm,
> looked through the issue on the
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=154251 -- looks like
> it's got it all (or most of it) covered, i'm not sure if i can (or
> should) contribute more to it :) , at this point someone just has to
> roll up the sleeves and do it.
>
> Good luck!
> And thanks for all the help (can't wait for the release of this
> issue). :)
Hey! You are very welcome to implement it. :-)
There is still lots of work in the core Maven plugin, and I am
actually not using WTP much...

regards,
Eugene
Previous Topic:HTML Edit auto format
Next Topic:Need some help regarding arraylist
Goto Forum:
  


Current Time: Thu Aug 28 19:31:33 EDT 2014

Powered by FUDForum. Page generated in 0.12445 seconds